Skip to content

Hi Coactive team!

This is a sample of what your docs might look like on Starport, based on your public docs.

Take a look! Ask AI, search, the MCP server, and Markdown copies all work.

Starport is a free and open-source docs framework based on Starlight and maintained by Promptless. Promptless is the AI agent that automatically updates your customer-facing docs.

Every annual Promptless plan comes with white-glove migration to Starport, where we migrate the content, tune the result with you, and you own the repository so you're never locked in.

Book a 15-minute walkthrough

Sample migration of Coactive docs to Starport, prepared by PromptlessBook 15-minute call

API Authentication

To interact with the Coactive API, you will need an access token. A short-lived access token (1 hour) can be generated via the /login endpoint (see below) with either a personal token or system credentials. You can find these values in the settings page.

  • All users can obtain a personal access token, which is subject to an expiration date of 30 days of no use or 3 months from its time of creation.
  • System administrators can obtain system credentials that do not expire.

Retrieving the Personal Token or System Credentials

Section titled “Retrieving the Personal Token or System Credentials”

Steps to retrieve credentials in the Coactive dashboard

Section titled “Steps to retrieve credentials in the Coactive dashboard”
  1. Go to the Coactive login page: https://app.coactive.ai/.
  2. Enter your org name and sign in using your account.
  1. Once logged in, locate your profile name in the top right-hand corner of the dashboard.
  2. Click on your name to open a dropdown menu.
  3. Select Settings from the dropdown options.
  1. In the Settings menu, look for the Credentials option on the left-hand side of the screen.
  2. Click on Credentials to view your personal and system API credentials.

Retrieve Personal Token or System Credentials

Section titled “Retrieve Personal Token or System Credentials”
  1. On the Credentials page, you will find your Personal Token
    • PERSONAL_TOKEN: A unique token that represents your user access, can be regenerated. Once you generate this token, you must copy it and store it securely because Coactive does not store it.
  2. On the Credentials page, you will find the following:
    • CLIENT_ID: A unique identifier for your organization.
    • CLIENT_SECRET: A secure key used to authenticate your organization.
  3. Copy these values and store them securely.

Exchange your PERSONAL_TOKEN for an access token using bearer token authentication.

Terminal window
curl --request POST 'https://api.coactive.ai/api/v0/login' \
--header 'Authorization: Bearer <PERSONAL_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{"grant_type": "refresh_token"}'

Exchange the CLIENT_ID and CLIENT_SECRET for an access token using basic authentication.

Terminal window
curl --request POST 'https://api.coactive.ai/api/v0/login' \
-u '<CLIENT_ID>:<CLIENT_SECRET>' \
--header 'Content-Type: application/json' \
--data '{"grant_type": "client_credentials"}'

If successful, you will receive an access_token with an expiry of 1 hour (3600 seconds).

{
"access_token": "<ACCESS_TOKEN>",
"token_type": "Bearer",
"expires_in": 3600
}

With the retrieved access_token, you can authenicate to our APIs via Bearer Authentication.

Terminal window
Authorization: Bearer <ACCESS_TOKEN>

  • PERSONAL_TOKEN has an expiry date and you cannot retrieve it post creation. You will be able to regenerate this personal token on the Coactive UI.
  • Keep your CLIENT_ID and CLIENT_SECRET confidential. Do not share them publicly or commit them to version control systems.
  • If you suspect your credentials have been compromised, please regenerate them through the dashboard or contact your Coactive representative to have them regenerated.

For further assistance, please contact Coactive support at support@coactive.ai.